Create payment
curl --request POST \
--url https://api.natural.com/payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"data": {
"attributes": {
"amount": 500000,
"currency": "USD",
"counterparty": {
"type": "party_id",
"value": "pty_019cd1798d627ad9bc302511c4f2c115"
},
"customerPartyId": "pty_019cd1798d617f65a79cb965dda9eac3",
"description": "Payment for Q4 2025 development work",
"tags": {
"order_id": "ord_123"
}
}
}
}
'import requests
url = "https://api.natural.com/payments"
payload = { "data": { "attributes": {
"amount": 500000,
"currency": "USD",
"counterparty": {
"type": "party_id",
"value": "pty_019cd1798d627ad9bc302511c4f2c115"
},
"customerPartyId": "pty_019cd1798d617f65a79cb965dda9eac3",
"description": "Payment for Q4 2025 development work",
"tags": { "order_id": "ord_123" }
} } }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
attributes: {
amount: 500000,
currency: 'USD',
counterparty: {type: 'party_id', value: 'pty_019cd1798d627ad9bc302511c4f2c115'},
customerPartyId: 'pty_019cd1798d617f65a79cb965dda9eac3',
description: 'Payment for Q4 2025 development work',
tags: {order_id: 'ord_123'}
}
}
})
};
fetch('https://api.natural.com/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "payment",
"id": "pay_550e8400e29b41d4a716446655440000",
"attributes": {
"amount": 500000,
"currency": "USD",
"status": "PROCESSING",
"description": "Payment for Q4 2025 development work",
"tags": {
"order_id": "ord_123"
},
"claimLink": null,
"createdAt": "2026-01-04T15:30:00Z",
"updatedAt": "2026-01-04T15:30:00Z"
},
"relationships": {
"sender": {
"data": {
"type": "party",
"id": "pty_019cd1798d617f65a79cb965dda9eac3"
}
},
"senderAgent": {
"data": null
},
"recipient": {
"data": {
"type": "party",
"id": "pty_019cd1798d627ad9bc302511c4f2c115"
}
},
"recipientAgent": {
"data": null
},
"transaction": {
"data": {
"type": "transaction",
"id": "txn_550e8400e29b41d4a716446655440000"
}
},
"paymentRequest": {
"data": null
}
}
}
}{
"errors": [
{
"code": "invalid_value",
"detail": "The information you entered isn't valid. Please check it and try again.",
"status": "400",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "unauthenticated",
"detail": "Authentication is required.",
"status": "401",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "forbidden",
"detail": "You do not have permission to perform this action.",
"status": "403",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "not_found",
"detail": "The requested resource was not found.",
"status": "404",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "conflict",
"detail": "The request conflicts with the current resource state.",
"status": "409",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "invalid_value",
"detail": "The information you entered isn't valid. Please check it and try again.",
"status": "422",
"source": {
"pointer": "/data/attributes/email"
},
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "mfa_required",
"detail": "MFA verification required",
"status": "428",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "rate_limited",
"detail": "Too many requests. Please try again later.",
"status": "429",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "server_error",
"detail": "Something went wrong.",
"status": "500",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "not_implemented",
"detail": "This operation is not available.",
"status": "501",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "bad_gateway",
"detail": "We couldn't complete that request because one of Natural's services returned an unexpected response. Please try again.",
"status": "502",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "service_unavailable",
"detail": "The service is temporarily unavailable.",
"status": "503",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}Payments
Create payment
Create a payment
POST
/
payments
Create payment
Authorizations
Bearer authentication: send your API key, agent key, or OAuth access token as Authorization: Bearer <credential>.
Headers
Unique key for safely retrying a request without creating duplicates.
Maximum string length:
255Deprecated: agent identity comes from the credential. Sending this header with a party API key or user credential returns 403 agent_credential_required.
Maximum string length:
36Pattern:
^agt_[0-9a-f]{32}$Caller-chosen identifier for the agent run, session, or conversation, required when an agent moves money.
Maximum string length:
1024Body
application/json
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I